#include "text.hpp"

#include "font.hpp"

namespace gz::vlk {
	Text::Text(Font font, std::string&& text) 
        : text(std::move(text)), font(font)
    {
		
	}
	std::string Text::toString() const {
        return "<Text: '" + text + "'>";
	}

    void Text::setTextureCoordinates(FontManager& fontManager) {
        for (char c : text) {
            fontManager.getTexCoords(font, c, vertices[0].texCoord);
            fontManager.getTexCoords(font, c, vertices[1].texCoord);
            fontManager.getTexCoords(font, c, vertices[2].texCoord);
            fontManager.getTexCoords(font, c, vertices[3].texCoord);
        }
        // must be after getTexCoords, since that might load the texture
    }

}  // namespace gz::vlk
